<?php
	session_start();
	if (isset($_SESSION['acesso_admin'])){
		$acesso_idusuario=$_SESSION['acesso_idusuario'];
		$acesso_idempresa=$_SESSION['acesso_idempresa'];
		$acesso_admin=$_SESSION['acesso_admin'];
		$acesso_revenda=$_SESSION['acesso_revenda'];
		require_once ('../Amfphp/Services/conexao.php');
		$con=new conexao();
		include('funcoes.php');
		$diaatual=date('d/m/Y');
		$horaatual=date('h:i');	
		$sql="select financeiro.*, provedor.nome, provedor.email from financeiro, provedor where financeiro.idprovedor = provedor.idprovedor and financeiro.idempresa='$acesso_idempresa' and financeiro.idfinanceiro='$idfinanceiro'";
		$resultado = $con->banco->Execute($sql);
		$registro = $resultado->FetchNextObject();
		$val_cliente=$registro->NOME;
		$val_email=$registro->EMAIL;
		$val_numero=$registro->NUMERO;
		$val_descricao=$registro->DESCRICAO;
		$val_valor=$registro->VALOR;
		$val_vencimento=dmy($registro->DATAVENCIMENTO);
		$val_situacao=$registro->SITUACAO;	
		$val_idprovedor=$registro->IDPROVEDOR;
	} else {
		echo "<script>window.location='index.php';</script>";
	}
	
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Oque deseja fazer com esta mensalidade?</title>
<link href="cspadm.css" rel="stylesheet" type="text/css" />
</head>

<body>
<form id="form1" name="form1" method="post" action="?oqfazer=executar&idfinanceiro=<?php echo $idfinanceiro;?>">
  <table width="410" border="1">
    <tr class="txtAlertaBOX">
      <td colspan="2" bgcolor="#FFFFCC"><a href="mobile_financeiro.php">(&lt;-- Voltar)<br />
        CSPADM Mobile - Oque deseja Fazer?</a></td>
    </tr>
    <tr class="txtBOX">
      <td width="162">Cliente:</td>
      <td width="232"><em><?php echo $val_cliente;?></em></td>
    </tr>
    <tr class="txtBOX">
      <td>Numero:</td>
      <td><label for="edt_login"></label><?php echo $val_numero;?></td>
    </tr>
    <tr bgcolor="#FFCCFF" class="txtBOX">
      <td>Descrição:</td>
      <td><label for="edt_senha"></label><?php echo $val_descricao;?></td>
    </tr>
    <tr class="txtBOX">
      <td>Valor:</td>
      <td><?php echo $val_valor;?></td>
    </tr>
    <tr bgcolor="#FFCCFF" class="txtBOX">
      <td>Vencimento:</td>
      <td><?php echo $val_vencimento;?></td>
    </tr>
    <tr class="txtBOX">
      <td>Situacao atual:</td>
      <td><?php echo $val_situacao;?></td>
    </tr>
    <tr class="txtBOX">
      <td bgcolor="#FFCCFF"><strong>Renovar para:</strong></td>
      <td bgcolor="#FFCCFF"><label for="edt_renovar"></label>
        <label for="edt_dia"></label>
      <input name="edt_dia" type="text" id="edt_dia" size="3" maxlength="2" /> 
      / 
      <label for="edt_mes"></label>
      <input name="edt_mes" type="text" id="edt_mes" size="3" maxlength="2" /> 
      / 
      <label for="edt_ano"></label>
      <input name="edt_ano" type="text" id="edt_ano" size="5" maxlength="4" /></td>
    </tr>
    <tr class="txtBOX">
      <td colspan="2" align="center"><input type="submit" name="button" id="button" value="Efetuar Pagamento" /></td>
    </tr>
  </table>
</form>
<?php 
if ($oqfazer=="executar"){
	if ($edt_dia <> "" && $edt_mes <> "" && $edt_ano <> ""){
		if ($edt_dia < 1 || $edt_dia > 30){
			echo "<script>window.alert('ERRO. Dia informado errado. Valor deve ser entre 1 e 30');</script>";
			echo "<script>window.location='acao_mobile_financeiro.php?idfinanceiro=$idfinanceiro';</script>";
		}
		if ($edt_mes < 1 || $edt_mes > 12){
			echo "<script>window.alert('ERRO. Mes informado errado. Valor deve ser entre 1 e 12');</script>";
			echo "<script>window.location='acao_mobile_financeiro.php?idfinanceiro=$idfinanceiro';</script>";
		}
		if ($edt_ano < 2000 || $edt_ano > 9999){
			echo "<script>window.alert('ERRO. Ano informado errado. Valor deve ser entre 2000 e 9999');</script>";
			echo "<script>window.location='acao_mobile_financeiro.php?idfinanceiro=$idfinanceiro';</script>";
		}
		$renovar = "SIM";
	} else {
		$renovar = "NAO";
	}
	$ymdatual = date('Y/m/d');
	$sql = "update financeiro set situacao='Pago', databaixa='$ymdatual', valorbaixa='$val_valor' where idfinanceiro = '$idfinanceiro'";	
	$con->banco->Execute($sql);
	if ($renovar == "SIM"){
		$data_renovar = "$edt_ano-$edt_mes-$edt_dia";
		$sql = "update csp_user set expiredate='$data_renovar' where id ='$val_idprovedor'";
		$con->banco->Execute($sql);
	}		
	echo "<script>window.alert('Financeiro $val_numero Pago com sucesso');</script>" ;
	echo "<script>window.location='mobile_financeiro.php';</script>";
}
?>
</body>
</html>